import * as React from 'react';
import { Entity } from '@alephdata/followthemoney';
import { IGraphContext } from '../GraphContext';
import { Grouping, Vertex } from '../layout';
import './Sidebar.scss';
export interface ISidebarProps extends IGraphContext {
    searchText: string;
    writeable: boolean;
    isOpen: boolean;
}
export declare class Sidebar extends React.Component<ISidebarProps> {
    constructor(props: Readonly<ISidebarProps>);
    appendToLayout(entity: Entity): void;
    removeGroupingEntity(grouping: Grouping, entity: Entity): void;
    setVertexColor(vertex: Vertex, color: string): void;
    setVertexRadius(vertex: Vertex, radius: number): void;
    setGroupingColor(grouping: Grouping, color: string): void;
    onEntitySelected(entity: Entity): void;
    render(): JSX.Element;
}
